NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Diagramming::ConnectionBuilder Class Reference

Represents a ConnectionBuilder. More...

Inheritance diagram for NXOpen::Diagramming::ConnectionBuilder:
NXOpen::Diagramming::SheetElementBuilder NXOpen::Diagramming::BaseObjectBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXString Discipline ()
 Returns the discipline of this connection. More...
 
NXOpen::Diagramming::PortEnd ()
 Returns the end port of this connection. More...
 
NXOpen::Diagramming::LocationBuilderEndLocation ()
 Returns the end location of this connection. More...
 
void GetBendPoints (std::vector< NXOpen::Point2d > &points)
 Get bending points for polyline to render the connection. More...
 
bool ReverseEnd ()
 Returns the reversed flag of this connection. More...
 
void SetBendPoints (const std::vector< NXOpen::Point2d > &points)
 Set bending points for polyline to render the connection. More...
 
void SetDiscipline (const NXString &discipline)
 Sets the discipline of this connection. More...
 
void SetDiscipline (const char *discipline)
 Sets the discipline of this connection. More...
 
void SetEnd (NXOpen::Diagramming::Port *endPort)
 Sets the end port of this connection. More...
 
void SetStart (NXOpen::Diagramming::Port *startPort)
 Sets the start port of this connection. More...
 
NXOpen::Diagramming::PortStart ()
 Returns the start port of this connection. More...
 
NXOpen::Diagramming::LocationBuilderStartLocation ()
 Returns the start location of this connection. More...
 
- Public Member Functions inherited from NXOpen::Diagramming::SheetElementBuilder
void GetAllowedTransformations (bool *isAllowedTranslation, bool *isAllowedRotation, bool *isAllowedScale, bool *isAllowedShear)
 Get the allowed transformations of the sheet element. More...
 
void GetMinNodeSize (std::vector< double > &sizeValues)
 Gets the minimum node size values
Created in NX11.0.0. More...
 
double Height ()
 Returns the height. More...
 
NXOpen::Diagramming::DiagrammingSizingpolicy HeightPolicy ()
 Returns the height policy. More...
 
bool Internal ()
 Returns the flag that indicates if the sheet element is internal. More...
 
NXOpen::Diagramming::AnnotationLabel ()
 Returns the label of this sheet element. More...
 
NXString LabelName ()
 Returns the label name of this sheet element. More...
 
NXOpen::Diagramming::LocationBuilderLocation ()
 Returns the location of the sheet element relative to another sheet element. More...
 
NXOpen::Diagramming::DiagrammingLocationstyle LocationStyle ()
 Returns the location style. More...
 
bool MirrorX ()
 Returns the sheet element to Mirror along the X axis. More...
 
bool MirrorY ()
 Returns the sheet element to Mirror along the Y axis. More...
 
NXOpen::Diagramming::SheetElementOwner ()
 Returns the owning sheet element. More...
 
NXOpen::Diagramming::SheetOwningSheet ()
 Returns the owning sheet. More...
 
NXOpen::Diagramming::SheetElementBuilder::ResizeOptionType ResizeOption ()
 Returns the resize option of the sheet element
Created in NX11.0.0. More...
 
double Rotation ()
 Returns the rotation angle that is counter clockwise and relative to the owner. More...
 
void SetHeight (double height)
 Sets the height. More...
 
void SetHeightPolicy (NXOpen::Diagramming::DiagrammingSizingpolicy heightPolicy)
 Sets the height policy. More...
 
void SetLabelName (const NXString &labelname)
 Sets the label name of this sheet element. More...
 
void SetLabelName (const char *labelname)
 Sets the label name of this sheet element. More...
 
void SetLocationStyle (NXOpen::Diagramming::DiagrammingLocationstyle locationStyle)
 Sets the location style. More...
 
void SetMinNodeSize (const std::vector< double > &sizeValues)
 Sets the minimum node size values
Created in NX11.0.0. More...
 
void SetMirrorX (bool mirrorX)
 Sets the sheet element to Mirror along the X axis. More...
 
void SetMirrorY (bool mirrorY)
 Sets the sheet element to Mirror along the Y axis. More...
 
void SetOwner (NXOpen::Diagramming::SheetElement *owner)
 Sets the owning sheet element. More...
 
void SetOwningSheet (NXOpen::Diagramming::Sheet *owningSheet)
 Set the owning sheet when the sheet element is created. More...
 
void SetResizeOption (NXOpen::Diagramming::SheetElementBuilder::ResizeOptionType resizeOption)
 Sets the resize option of the sheet element
Created in NX11.0.0. More...
 
void SetRotation (double angle)
 Sets the rotation angle that is counter clockwise and relative to the owner. More...
 
void SetWidth (double width)
 Sets the width. More...
 
void SetWidthPolicy (NXOpen::Diagramming::DiagrammingSizingpolicy widthPolicy)
 Sets the width policy. More...
 
void SetX (double x)
 Sets the absolute x coordinate. More...
 
void SetY (double y)
 Sets the absolute y coordinate. More...
 
void SetZDepth (int zDepth)
 Sets the Z depth. More...
 
NXOpen::Diagramming::SheetElementSourceElement ()
 Returns the source element that records which sheet element it is a copy of. More...
 
bool UpToDate ()
 Returns the flag that indicates if the sheet element is up to date. More...
 
bool Visible ()
 Returns the flag that indicates if the sheet element is visible. More...
 
double Width ()
 Returns the width. More...
 
NXOpen::Diagramming::DiagrammingSizingpolicy WidthPolicy ()
 Returns the width policy. More...
 
double X ()
 Returns the absolute x coordinate. More...
 
double Y ()
 Returns the absolute y coordinate. More...
 
int ZDepth ()
 Returns the Z depth. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen::Diagramming::SheetElementBuilder
enum  ResizeOptionType {
  ResizeOptionTypeAnyDirection, ResizeOptionTypeOnAnchor, ResizeOptionTypeSameRatio, ResizeOptionTypeSameRationOnCorner,
  ResizeOptionTypeSameRatioOnEdge
}
 Represents the resize option for a NXOpen::Diagramming::SheetElementBuilder . More...
 

Detailed Description

Represents a ConnectionBuilder.


To create a new instance of this class, use NXOpen::Diagramming::ConnectionCollection::CreateConnectionBuilder

Created in NX10.0.0.

Member Function Documentation

NXString NXOpen::Diagramming::ConnectionBuilder::Discipline ( )

Returns the discipline of this connection.


Created in NX10.0.0.

License requirements : None

NXOpen::Diagramming::Port* NXOpen::Diagramming::ConnectionBuilder::End ( )

Returns the end port of this connection.


Created in NX10.0.0.

License requirements : None

NXOpen::Diagramming::LocationBuilder* NXOpen::Diagramming::ConnectionBuilder::EndLocation ( )

Returns the end location of this connection.

This end location is applicable only when the Diagramming::ConnectionBuilder::End port is NULL.
Created in NX10.0.0.

License requirements : None

void NXOpen::Diagramming::ConnectionBuilder::GetBendPoints ( std::vector< NXOpen::Point2d > &  points)

Get bending points for polyline to render the connection.


Created in NX10.0.0.

License requirements : None

Parameters
pointspoints
bool NXOpen::Diagramming::ConnectionBuilder::ReverseEnd ( )

Returns the reversed flag of this connection.


Created in NX10.0.0.

License requirements : None

void NXOpen::Diagramming::ConnectionBuilder::SetBendPoints ( const std::vector< NXOpen::Point2d > &  points)

Set bending points for polyline to render the connection.


Created in NX10.0.0.

License requirements : None

Parameters
pointspoints
void NXOpen::Diagramming::ConnectionBuilder::SetDiscipline ( const NXString discipline)

Sets the discipline of this connection.


Created in NX10.0.0.

License requirements : None

Parameters
disciplinediscipline
void NXOpen::Diagramming::ConnectionBuilder::SetDiscipline ( const char *  discipline)

Sets the discipline of this connection.


Created in NX10.0.0.

License requirements : None

Parameters
disciplinediscipline
void NXOpen::Diagramming::ConnectionBuilder::SetEnd ( NXOpen::Diagramming::Port endPort)

Sets the end port of this connection.


Created in NX10.0.0.

License requirements : None

Parameters
endPortendport
void NXOpen::Diagramming::ConnectionBuilder::SetStart ( NXOpen::Diagramming::Port startPort)

Sets the start port of this connection.


Created in NX10.0.0.

License requirements : None

Parameters
startPortstartport
NXOpen::Diagramming::Port* NXOpen::Diagramming::ConnectionBuilder::Start ( )

Returns the start port of this connection.


Created in NX10.0.0.

License requirements : None

NXOpen::Diagramming::LocationBuilder* NXOpen::Diagramming::ConnectionBuilder::StartLocation ( )

Returns the start location of this connection.

This start location is applicable only when the Diagramming::ConnectionBuilder::Start is NULL.
Created in NX10.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.